Subject: Re: [B.A.T.M.A.N.] [PATCH] Fix ARM BUILD_BUG_ON() errors withbatman-adv

From: Antonio Quartulli <[email-masked]>
Date: Mon, 02 Dec 2013 13:50:46 +0100

On 02/12/13 11:24, David Laight wrote:
> ...
>> The only solutions are: use the GCC packed attribute, redesign
>> the structures...
> 
> It is probably enough to mark the inner structure containing the
> three byte fields 'packed'. Marking it aligned(1) might also have
> the desired effect. The outer structure should then be ok. But
> would need to use a specially named attribute so it doesn't get
> removed.

This may work with the structures I reported in a previous email, but
it is not a good solution for us because we have other more complex
substructs that cannot be packed that way.

I think we will simply duplicate the members and avoid substructs in
our packets.

- -- 
Antonio Quartulli